import { makeStyles } from '@mui/styles';
import { Layout, Menu } from 'antd';
import { Link } from 'react-router-dom';

const { Sider } = Layout;

const useStyle = makeStyles({
    container: {
        padding: 0,
        margin: 0,
        top: 0,
        display: 'flex',
        flex: 1,
    },
});

const SideNav = () => {
    const style = useStyle();
    return (
        <Sider className={style.container}>
            <Menu theme="dark" mode="inline">
                <Menu.Item key="1" icon={<></>}>
                    <Link to="/">首页</Link>
                </Menu.Item>
                <Menu.Item key="2" icon={<></>}>
                    <Link to="/tasks">任务列表</Link>
                </Menu.Item>
            </Menu>
        </Sider>
    );
};

export default SideNav;