import React from 'react';
import { makeStyles } from '@mui/styles';
import { Button, Checkbox, Form, FormProps, Input, Space, Typography } from 'antd';
import { LockOutlined, UserOutlined } from '@ant-design/icons';

const useStyle = makeStyles({
    container: {
        padding: 0,
        margin: 0,
        top: 0,
        display: 'flex',
        flex: 1,
        height: '100vh',
        alignItems: 'center', // 垂直居中对齐
        justifyContent: 'center', // 水平居中对齐
        backgroundImage: `url('https://cert.umisen.com/api/other/wallpaper')`, // 替换为实际的背景图 URL
        backgroundSize: 'cover',
        backgroundPosition: 'center',
    },
    formContainer: {
        display: 'flex',
        justifyContent: 'center',
        alignItems: 'center',
        width: '400px',
        padding: '40px',
        backdropFilter: 'blur(10px)', // 模糊效果
        backgroundColor: 'rgba(255, 255, 255, 0.2)', // 背景颜色
        borderRadius: '10px', // 圆角
        boxShadow: '0 4px 8px rgba(0, 0, 0, 0.2)', // 阴影
    },
    form: {
        display: 'flex',
        flexDirection: 'column',
        alignItems: 'center',
        width: '100%',
    },
    "form-filed": {
        width: '100%',
        "&:nth-child(n+2)": {
            marginTop: '20px',  
        }
    },
    input: {
        width: '100%',
        marginTop: '10px',
    }
});

const LoginPage: React.FC = () => {
    const classes = useStyle();

    return (
        <div className={classes.container}>
            <div className={classes.formContainer}>
                <form className={classes.form}>
                    <div className={classes['form-filed']}>
                        <Input className={classes.input} size="large" placeholder="用户名" prefix={<UserOutlined />} />
                    </div>
                    <div className={classes['form-filed']}>
                        <Input className={classes.input} size="large" placeholder="密码" prefix={<LockOutlined />} />
                    </div>
                    <div className={classes['form-filed']}>
                        <Button type='primary' size='large' style={{width: '100%'}}>登录</Button>
                    </div>
                </form>
            </div>
        </div>
    );
};

export default LoginPage;