import { Tag } from "antd";
import { Status as TaskStatus } from "../../../interfaces/task";
import { LoadingOutlined, CheckCircleOutlined, CloseCircleOutlined, PauseCircleOutlined, ExclamationCircleOutlined } from '@ant-design/icons';

export const Status = ({ status }: { status: TaskStatus }) => {
    let tag;
    switch (status) {
        case "pending":
            tag = <Tag icon={<PauseCircleOutlined />} color="default">
                等待中
            </Tag>
            break;
        case "blocked":
            tag = <Tag icon={<ExclamationCircleOutlined />} color="warning">
                被阻塞
            </Tag>
            break;
        case "running":
            tag = <Tag icon={<LoadingOutlined />} color="processing">
                运行中
            </Tag>
            break;
        case "completed":
            tag = <Tag icon={<CheckCircleOutlined />} color="success">
                已完成
            </Tag>;
            break;
        case "failed":
            tag = <Tag icon={<CloseCircleOutlined />} color="error">
                失败
            </Tag>
            break;
        default:
            tag = null;
    }

    return (
        <span>
            {tag}
        </span>
    );
};